%% Large S-N-Ratio %%
%% Theta results %%
load('II_Gauss_Normal_T2000.mat')
R=1000;
d=-.736;
k=.9;
sigmav = .36;

mean(THETA,1)
std(THETA,1)
sqrt(mean((THETA-ones(R,1)*[d;k;sigmav]').^2,1))
mean(THETA-ones(R,1)*[d;k;sigmav]')


%% For Plots

THETA2_500 = THETA_500(:,2);
THETA_2_5 = THETA2_500(THETA2_500>quantile(THETA2_500, .05));
THETA2_1000 = THETA_1000(:,2);
THETA_2_10 = THETA2_1000(THETA2_1000>quantile(THETA2_1000, .05));
THETA2_2000 = THETA_2000(:,2);
THETA_2_20 = THETA2_2000(THETA2_2000>quantile(THETA2_2000, .05));
ksdensity(THETA_2_20,'bandwidth',.011)
hold on
ksdensity(THETA_2_10,'bandwidth',.015)
ksdensity(THETA_2_5,'bandwidth',.015)
hold off

THETA3_500 = THETA_500(:,3);
THETA_3_5 = THETA3_500(THETA3_500>quantile(THETA3_500, .05));
THETA3_1000 = THETA_1000(:,3);
THETA_3_10 = THETA3_1000(THETA3_1000>quantile(THETA3_1000, .05));
THETA3_2000 = THETA_2000(:,3);
THETA_3_20 = THETA3_2000(THETA3_2000>quantile(THETA3_2000, .05));
ksdensity(THETA_2_20,'bandwidth',.05)
hold on
ksdensity(THETA_2_10,'bandwidth',.015)
ksdensity(THETA_2_5,'bandwidth',.015)
hold off

%% Small S-N-Ratio %%
%% Theta results %%
load('II_Gauss_Normal_T2000SmallNoise.mat')
R=1000;
d=-.14;
k=.98;
sigmav = .0614;

mean(THETA,1)
std(THETA,1)
sqrt(mean((THETA-ones(R,1)*[d;k;sigmav]').^2,1))
mean(THETA-ones(R,1)*[d;k;sigmav]')
%% Beta results %%

%% For Plots


THETA2_500 = THETA_500(:,2);
THETA_2_5 = THETA2_500(THETA2_500>quantile(THETA2_500, .05));
THETA2_1000 = THETA_1000(:,2);
THETA_2_10 = THETA2_1000(THETA2_1000>quantile(THETA2_1000, .05));
THETA2_2000 = THETA_2000(:,2);
THETA_2_20 = THETA2_2000(THETA2_2000>quantile(THETA2_2000, .05));
ksdensity(THETA_2_20,'bandwidth',.015)
hold on
ksdensity(THETA_2_10,'bandwidth',.015)
ksdensity(THETA_2_5,'bandwidth',.015)
hold off

THETA3_500 = THETA_500(:,3);
THETA_3_5 = THETA3_500(THETA3_500>quantile(THETA3_500, .05));
THETA3_1000 = THETA_1000(:,3);
THETA_3_10 = THETA3_1000(THETA3_1000>quantile(THETA3_1000, .05));
THETA3_2000 = THETA_2000(:,3);
THETA_3_20 = THETA3_2000(THETA3_2000>quantile(THETA3_2000, .05));
ksdensity(THETA_3_20,'bandwidth',.0225)
hold on
ksdensity(THETA_3_10,'bandwidth',.025)
ksdensity(THETA_3_5,'bandwidth',.025)
hold off

%% Beta results %%
clear
load('BETA_vals1000SmallSN.mat')
R=1000;
T=1000;
BETA_hat = BETA_hat';
BETA_hat_hat = BETA_hat_hat';

BETA_hat1 = BETA_hat(:,1);BETA_hat2 = BETA_hat(:,2);BETA_hat3 = BETA_hat(:,3);
BETA_hat_hat1 = BETA_hat_hat(:,1);BETA_hat_hat2 = BETA_hat_hat(:,2);BETA_hat_hat3 = BETA_hat_hat(:,3);

%% Constraints 
[sum(BETA_hat1<=0.0001) sum(BETA_hat_hat1<=0.0001)]./R
[sum(BETA_hat2<=.01+.1*T^-.49) sum(BETA_hat_hat2<=.01+.1*T^-.49)]./R
[sum(BETA_hat3<=0.0001) sum(BETA_hat_hat3<=0.0001)]./R
[sum(BETA_hat2+BETA_hat3>=.9999) sum(BETA_hat_hat2+BETA_hat_hat3>=.9999)]./R
